@import "../../variables";

.sub-block__title {
    margin-bottom: 30px;
    line-height: 1.3;
}
.sub-block__name {
    font-size: 24px;
    font-weight: 800;
}
.sub-block__description {
    font-size: 14px;
    color: #707070;
}
.form__item {
    margin-bottom: 30px;
}
.form__item:last-child {
    margin-bottom: 0;
}
.form__label {
    font-size: 14px;
    font-weight: 800;
    color: #5a5a5a;
    margin-bottom: 10px;
}
.form__input {
    width: 100%;
    border: 1px solid #c3c3c3;
    padding: 10px 15px;
    font-size: 14px;
    border-radius: 3px;
    margin-top: 5px;
}
.form__textarea {
    width: 100%;
    border: 1px solid #c3c3c3;
    padding: 10px;
    font-size: 14px;
    border-radius: 0 0 3px 3px;
    resize: none;
    border-top: 0;
    line-height: 1.3;
}
.form__select {
    background-color: #fff;
    border: 1px solid #c3c3c3;
    border-radius: 3px;
    margin-right: 15px;
}

.form__action input[type="submit"] {
    margin-right: 20px;
}
.form {
    &__btn {
        padding: 10px 30px;
        color: #fff;
        border-radius: 3px;
        font-weight: 800;
    }
}
.form__action input[type="submit"] {
    margin-right: 20px;
}

.form-item-container {
    margin-bottom: 30px;
}
.form-item-header {
    display: flex;
    justify-content: space-between;
    background-color: #e5e5e5;
    border: 1px solid #c3c3c3;
    border-bottom: 0;
    margin-top: 5px;
    border-radius: 3px 3px 0 0;
}
.form-item-header__btn {
    outline: none;
    border: none;
    background-color: transparent;
    cursor: pointer;
    padding: 10px 15px;
}
.form-item-header__btn:hover {
    background-color: #d9d9d9;
}
.form-item-header__icon {
    color: #325162;
}
.textarea-bash-bg {
    background-color: #1f2937c7;
    color: #fff;
    line-height: 1.5;
}
.textarea-css-bg {
    background-color: rgb(90 141 171 / 12%);
    color: #2f2f2f;
}
.textarea-php-bg {
    background-color: rgb(215 215 215 / 12%);
    color: #2f2f2f;
}
.textarea-html-bg {
    background-color: $backgroundHtml;
    color: #000000;
}

//BUTTONS
.btn-blue {
    background-color: #5a8dab;
    transition: background-color ease 0.3s;
}
.btn-blue:hover {
    background-color: #42738d;
    cursor: pointer;
}
.btn-blue-dark {
    background-color: #0055c3;
    transition: background-color ease 0.3s;
}
.btn-blue-dark:hover {
    background-color: #003988;
    cursor: pointer;
}
.btn-red {
    background-color: #ab5a5a;
    transition: background-color ease 0.3s;
}
.btn-red:hover {
    background-color: #8d4242;
    cursor: pointer;
}
.btn-green {
    background-color: #228733;
    transition: background-color ease 0.3s;
}
.btn-green:hover {
    background-color: #197028;
}